Subject: Re: bug#50219: 28.0.50; Provide better errors when trying to specialize on optional args in generic methods

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Aug 2021 02:34:49 +0200

Eric Abrahamsen <[email-masked]> writes:

> - the manual section on "Generic Functions" could say explicitly that
>   you can't specialize on optional arguments
> - `eval'ling the `defmethod' form above could raise an error directly
> - the compiler could say more explicitly what the problem is
>
> I'd favor all three of these changes!

Me, too.

> Happy to implement what I can (maybe not the compiler part).

I've added Stefan to the CCs; perhaps he has some comments.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no